RADVD(8)

NAME
radvd - router advertisement daemon for IPv6

SYNOPSIS
radvd [ -vh ] [ -d debuglevel ] [ -C configfile ] [ -p pidfile ] [ -m method ] [ -l logfile ] [ -f facility ] [ -t chrootdir ] [ -u username ]

DESCRIPTION
radvd is the router advertisement daemon for IPv6. It listens to router solicitations and sends router advertisements as described in "Neighbor Discovery for IP Version 6 (IPv6)" (RFC 2461). With these advertisements hosts can automatically configure their addresses and some other parameters. They also can choose a default router based on these advertisements. Note that if debugging is not enabled, radvd will not start if IPv6 forwarding is disabled. IPv6 forwarding can be controlled via sysctl(8), net.ipv6.conf.all.forwarding on Linux or net.inet6.ip6.forwarding on BSD. Similarly, the configuration file must not be writable by others, and if non-root operation is requested, not even by self/own group.

OPTIONS
For every one character option there is also a long option, which is listed right next to the "short" option name:

-v, --version
    Displays the version of radvd and then aborts.

-h, --help
    Displays a short usage description and then aborts.

-d debuglevel, --debug debuglevel
    With this option you turn on debugging information. The debugging level is an integer in the range from 1 to 4, from quiet to very verbose. A debugging level of 0 completely turns off debugging. If a debugging level greater than 0 is used, radvd doesn't background itself on start. The default debugging level is 0.

-C configfile, --config configfile
    Specifies an alternate config file. Normally the compiled in default @PATH_RADVD_CONF@ is used.

-p pidfile, --pidfile pidfile
    Specifies an alternate pidfile. Normally the compiled in default @PATH_RADVD_PID@ is used.

-m method, --method method
    Specifies the logging method to use. Possibly values are:

    none
        Completely disables any logging.

    logfile
        Logs to the logfile which is specified by the -l option. If no logfile is specified on the command line, then a compiled in default is used (see next option).

    stderr
        Logs to standard error.

    syslog
        Logs to syslog (default method).

-l logfile, --logfile logfile
    Specifies the logfile to use when using the logging method logfile. The default logfile is @PATH_RADVD_LOG@.

-f facility, --facility facility
    Specifies the facility (as an integer) when using syslog logging. Default is @LOG_FACILITY@.

-t chrootdir, --chrootdir chrootdir
    If specified, switches to chrootdir before doing anything else. This directory and its subdirectories must have been populated first. For security reasons, -u must always be used when using chrootdir. Note that this option will not currently work under Linux because radvd requires access to the /proc filesystem.

-u username, --username username
    If specified, drops root privileges and changes user ID to username and group ID to the primary group of username. This is recommended for security reasons. You might also need to use -p to point to a file in a username -writable directory (e.g. /var/run/radvd/radvd.pid).

FILES
@sbindir@/radvd
@PATH_RADVD_CONF@
@PATH_RADVD_PID@
@PATH_RADVD_LOG@

BUGS
There certainly are some bugs. If you find them or have other suggestions please contact Nathan Lutchansky <lutchann@litech.org> or Pekka Savola <pekkas@netcore.fi>.

SEE ALSO
radvd.conf(5), radvdump(8)

AUTHORS
Pedro Roque	<roque@di.fc.ul.pt>	- wrote first version for Linux
Lars Fenneberg	<lf@elemental.net>	- previous maintainer
Pekka Savola	<pekkas@netcore.fi>	- current maintainer
Nathan Lutchansky	<lutchann@litech.org>	- current maintainer
Craig Metz	<cmetz@inner.net>	- port to NRL's IPv6 code for BSD4.4
Marko Myllynen	<myllynen@lut.fi>	- RFC 2461 update, Mobile IPv6 support